Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Company Reviews by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "num_of_reviews": 123
    }
  ]
}
'
[
  {
    "url": "https://www.facebook.com/PepsiCo/reviews/",
    "review_id": "pfbid02abc123def456",
    "reviewer_name": "John Smith",
    "reviewer_url": "https://www.facebook.com/john.smith.123",
    "rating": 5,
    "review_text": "Great company with excellent products and customer service.",
    "date_posted": "2026-03-15T14:30:00.000Z",
    "num_likes": 3,
    "company_name": "PepsiCo",
    "company_url": "https://www.facebook.com/PepsiCo",
    "company_rating": 4.2,
    "total_reviews": 1250
  }
]

Query Parameters

dataset_id
string
default:"gd_m0dtqpiu1mbcyc2g86"
required
The dataset ID used for this request.
Must be set to gd_m0dtqpiu1mbcyc2g86 to collect Facebook company reviews data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/PepsiCo/reviews/", "num_of_reviews": 50},
    {"url": "https://www.facebook.com/CocaCola/reviews/"}
  ]
}
[
  {
    "url": "https://www.facebook.com/PepsiCo/reviews/",
    "review_id": "pfbid02abc123def456",
    "reviewer_name": "John Smith",
    "reviewer_url": "https://www.facebook.com/john.smith.123",
    "rating": 5,
    "review_text": "Great company with excellent products and customer service.",
    "date_posted": "2026-03-15T14:30:00.000Z",
    "num_likes": 3,
    "company_name": "PepsiCo",
    "company_url": "https://www.facebook.com/PepsiCo",
    "company_rating": 4.2,
    "total_reviews": 1250
  }
]